FreeMat

- Main Page
- Related Pages

vtkRendererCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkRendererCollection represents and provides methods to manipulate a list of renderers (i.e., vtkRenderer and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkRendererCollection, simply invoke its constructor as follows

      obj = vtkRendererCollection

# Methods

The class vtkRendererCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRendererCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRendererCollection = obj.NewInstance ()`
- `vtkRendererCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkRenderer a)` - Get the next Renderer in the list. Return NULL when at the end of the list.
- `vtkRenderer = obj.GetNextItem ()` - Get the next Renderer in the list. Return NULL when at the end of the list.
- `obj.Render ()` - Forward the Render() method to each renderer in the list.
- `vtkRenderer = obj.GetFirstRenderer ()` - Get the first Renderer in the list. Return NULL when at the end of the list.